# Default values for scm-manager.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

# replicaCount: 1

image:
  repository: cloudogu/scm-manager
  # TODO change after release, to something more stable
  tag: latest
  pullPolicy: Always

# plugins:
#  - name: scm-review-plugin
#    url: https://oss.cloudogu.com/jenkins/job/scm-manager/job/scm-manager-bitbucket/job/scm-review-plugin/job/develop/lastSuccessfulBuild/artifact/target/scm-review-plugin-2.0.0-SNAPSHOT.smp

nameOverride: ""
fullnameOverride: ""

service:
  type: LoadBalancer
  port: 80

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  path: /
  hosts:
    - scm-manager.local
  tls: []
  #  - secretName: scm-manager-tls
  #    hosts:
  #      - scm-manager.local

## Enable persistence using Persistent Volume Claims
## ref: http://kubernetes.io/docs/user-guide/persistent-volumes/
##
persistence:
  enabled: true
  ## ghost data Persistent Volume Storage Class
  ## If defined, storageClassName: <storageClass>
  ## If set to "-", storageClassName: "", which disables dynamic provisioning
  ## If undefined (the default) or set to null, no storageClassName spec is
  ##   set, choosing the default provisioner.  (gp2 on AWS, standard on
  ##   GKE, AWS & OpenStack)
  ##
  # storageClass: "-"
  accessMode: ReadWriteOnce
  size: 12Gi

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 2000m
    memory: 2048Mi
  requests:
    cpu: 50m
    memory: 256Mi

nodeSelector: {}

tolerations: []

affinity: {}
